Subject: Re: [PATCH] doc: reformat the paragraph containing the 'cut-line'

From: Kaartic Sivaraam <[email-masked]>
Date: Tue, 18 Jul 2017 19:59:28 +0530

On Mon, 2017-07-17 at 15:16 -0700, Junio C Hamano wrote:
> Kaartic Sivaraam <[email-masked]> writes:
> > +	Same as `whitespace` except that everything from (and including)
> > +    the line found below is truncated, if the message is to be edited.
> > +    "`#`" can be customized with core.commentChar.
> 
> Is there some funny indentation setting involved?  Why aren't these
> lines aligning? 
> 
Yep, there was an indentation issue that I have fixed now.

> > +
> > +        # ------------------------ >8 ------------------------
> > +
> 
> 
> Does an empty line before this one screw up the asciidoc formatting?
> 
I think *no*. I build the docs with the change and didn't find anything
odd. 

> If the long line is problematic, I think it is safer to perhaps
> spell it out, perhaps something like
> 
> 	... except that everything is ignored down from the
> 	"scissors" line that begins with a core.commentChar (`#` by
> 	default) followed by many dashes `-`, followed by the
> 	scissors mark ` >8 `, followed by many dashes `-`.
> 
> ???
> 
I think it's better to keep the line as it is, considering the famous
cliché, "a picture is worth a thousand words" and combining it with the
fact that "humans looks for patterns in everything".

Spelling the line out would make it hard to get a *picture* of what's
trying to be described.

-- 
Kaartic